### Function

# GLib TraverseFunc

#### Declaration

    gboolean
    (* GTraverseFunc) (
      gpointer key,
      gpointer value,
      gpointer data
    )

#### Description [src]

Specifies the type of function passed to g_tree_traverse(). It is passed the key and value of each node, together with the `user_data` parameter passed to g_tree_traverse(). If the function returns `TRUE`, the traversal is stopped.

#### Parameters

`key`

  Type: `gpointer`

  A key of a `GTree` node.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`value`

  Type: `gpointer`

  The value corresponding to the key.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`data`

  Type: `gpointer`

  User data passed to g_tree_traverse().

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` to stop the traversal.